# Create or change a content type

`PUT /cms/types/{key}` · Rivier · content

Create or change a content type.

- Scope: content:admin
- Mcp: rivier_cms_save_type
- Graphql: Mutation.contentTypeSave
- Sdk: content.type.save
- Cli: content type save

## Parameters

- `key` (path, required), string
- `dryRun` (query), string
- `force` (query), string

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {},
  "additionalProperties": true
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X PUT 'https://api.rivier.ai/cms/types/{key}' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{}'
```
